#NoTrayIcon
#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_Icon=Icon.ico
#AutoIt3Wrapper_UseUpx=y
#AutoIt3Wrapper_UseX64=n
#AutoIt3Wrapper_Res_Description=Make All Explorer Windows Transparent
#AutoIt3Wrapper_Res_Fileversion=1.0
#AutoIt3Wrapper_Res_LegalCopyright=ssTek
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****

Opt("TrayMenuMode", 3) ; The default tray menu items will not be shown and items are not checked when selected. These are options 1 and 2 for TrayMenuMode.

; Test to make sure there is not already an instance running.
#include <Misc.au3>
if _Singleton("test", 1) = 0 Then Exit

Local $idDisabled = TrayCreateItem("Set No Transparency")
Local $idTrans5 = TrayCreateItem("Set 5% Transparency")
Local $idTrans10 = TrayCreateItem("Set 10% Transparency")
Local $idTrans15 = TrayCreateItem("Set 15% Transparency")
Local $idTrans25 = TrayCreateItem("Set 25% Transparency")
Local $idExit = TrayCreateItem("Exit")

TraySetState(1) ; Show the tray menu.

;Do System Tray Icon
TraySetToolTip("Transparent Explorer v2.0") ; Set the tray menu tooltip with information about the icon index.
TraySetIcon(@AutoItExe)

$Transp = RegRead("HKEY_CURRENT_USER\Software\ssTek", "SystemTransparency")
If $Transp = 0 Then $Transp = 240

While 1
	Switch TrayGetMsg()
	Case $idExit ; Exit
		RegWrite("HKEY_CURRENT_USER\Software\ssTek", "SystemTransparency", "REG_DWORD", $Transp)
		$Transp = 255
		SetTrans($Transp)
		Sleep(15)
		Exit
	Case $idDisabled
		$Transp = 255
	Case $idTrans25
		$Transp = 210
	Case $idTrans15
		$Transp = 230
	Case $idTrans10
		$Transp = 240
	Case $idTrans5
		$Transp = 250
	EndSwitch

	;Do Transparent Explorer Windows
	SetTrans($Transp)
	Sleep(50)
WEnd

Func SetTrans($TransValue)
;Transparent Explorer Windows
	$aList = WinList ("[CLASS:CabinetWClass]")
	For $i = 1 To $aList[0][0]
		If $aList[$i][0] <> "" And BitAND(WinGetState($aList[$i][1]), 2) Then
			WinSetTrans ($aList[$i][1], "", $TransValue)
		EndIf
	Next
EndFunc

